:root{
  --primary-color: #B800FF;
  --secondary-color: #FF9900;
  --seconary-word: #D6D6D6;
  --Neutral-color: #F4F4F4;
  --Neutral-opacity-color: linear-gradient(to bottom, #f4f4f420, #f4f4f410);;
  --Neutral-hover-bg: #f4f4f440;
  --hero-background: #1C1C1C;
  --nav-bg-color: #f4f4f420;
  --hero-bg-color: #2D013C;
  --glass-effect: saturate(180%) blur(10px);
  --nav-shadow: inset -2px 1px 1px #f4f4f460;
  --transition-medium: 0.3s cubic-bezier(0.4, 0, 0.2, 1);
  --noto-sans-tc: "Noto Sans TC", sans-serif;
  --roboto-sans: "Roboto", sans-serif;    
  --border-radius: 10px;
  --letter-space: 2px;
  --txt-center: center;
  /* === Font Sizes === */
  --fs-xs: 13px;  /* Extra Small - 註解、標籤 */
  --fs-sm: 14px;  /* Small - 說明文字 */
  --fs-md: 16px;  /* Medium - 一般內文 */
  --fs-lg: 24px;  /* Large - 小標題 */
  --fs-xl: 32px;  /* Extra Large - 主標題 */
  --fs-xxl: 48px; /* 2XL - Hero Banner / 超大標題 */

  /* === Font Weights === */
  --fw-light: 300;
  --fw-regular: 400;
  --fw-medinm: 600;
  /* === btn === */
  --btn-bg: linear-gradient(to right, #B800FF, #FF9900);
  --btn-padding: 8px 38px;
  --btn-sm-padding: 0 8px;
  --btn-border-radius: 10px 0 0 10px;

  /* === btn hover === */
  --btn-bg-hover: linear-gradient(to right, rgba(184, 0, 255, 0.9), rgba(255, 153, 0, 0.8));
  --btn-shadow-hover: 0 2px 4px rgba(0, 0, 0, .25);
}

/* all set */
.social{
  border-radius: var(--border-radius);
  background: linear-gradient(to bottom, #f4f4f420, #f4f4f410);
  position: relative;
  padding: 8px 16px;
  width: 112px;
}
.social:before{
  content: "";
  position: absolute;
  inset: 0;
  border: 1px solid transparent;
  border-radius: var(--border-radius);
  background: linear-gradient(to bottom, #B800FF, #FF9900);
  mask-image: linear-gradient(white, white), linear-gradient(white, white);
  mask-clip: padding-box, border-box;
  mask-composite: exclude, add;
}
.social img{
  width: 30px;
  height: 30px;
  margin: 0 4px;
}

.hero{
  margin-top: 91px;
}
.hero .header-intro{
  text-align: center;
  padding: 0 24px;
  margin: 0 0 16px 0;
}
.header-intro h1{
  margin-bottom: 24px;
}
.news-intro .pic{
  width: 100%;
  height: 270px;
}
.news-intro .pic img{
  border-radius: 0;
}
.news-intro .text{
  text-align: center;
  padding: 16px;
}
.news-intro .btn{
  padding: 8px 38px;
  margin-top: 24px;
}
.news-intro .text img{
  width: 100px;
}

@media screen and (min-width: 734px){
  p{
    font-size: var(--fs-lg)
  }
  .header-intro p{
    padding: 0 48px;
  }
  .news-intro{
    width: 100%;
    max-width: 1280px;
    display: flex;
    align-items: center;
    margin: 48px 0 0 0;
    border-bottom: 1px solid var(--Neutral-color);
    border-top: 1px solid var(--Neutral-color);
  }
  .news-intro .pic{
    width: 50%;
  }
  .news-intro .text{
    width: 50%;
  }
  .swiper-slide{
    border: 1px solid var(--Neutral-color);
  }
}

/* coming news */
.coming-news .swiper-slide{
  background: linear-gradient(to bottom, #f4f4f420, #f4f4f410);
  padding: 8px 16px;
}
.pic img{
  border-radius: var(--border-radius);
  height: 100%;
}
.text{
  padding: 12px;
}
.coming-news .date{
  margin: 8px 0;
  color: var(--seconary-word);
  font-size: var(--fs-xs);
  font-family: var(--roboto-sans);
  font-weight: var(--fw-light);
}
.coming-news h2{
  font-family: var(--roboto-sans);  
}
.coming-news .text .btns{
  margin: 20px 0;
  display: flex;
  justify-content: space-between;
}
.coming-news .btns .btn{
  padding: 8px;
  line-height: 2;
}

.coming-news .play{
  height: 319px;
  margin: auto
}

/* hot-event */
.hot-event{
  background-color: #2D013C;
}
.hot-event .text p{
  margin: 0 0 8px 0;
}

@media screen and (min-width: 734px){
  .hot-event .cards{
    width: 80%;
    margin: 0 auto;
    padding: 0 48px
  }
}
